//
//  Run.m
//  CoreDataTutorial
//
//  Created by kesalin on 8/29/11.
//  Copyright 2011 kesalin@gmail.com. All rights reserved.
//

#import "Run.h"


@implementation Run

@dynamic date;
@dynamic primitiveDate;

- (void) awakeFromInsert
{
    [super awakeFromInsert];

    self.primitiveDate = [NSDate date];
}

#pragma mark -
#pragma mark Getter and setter

- (NSInteger)processID 
{
    [self willAccessValueForKey:@"processID"];
    NSInteger pid = processID;
    [self didAccessValueForKey:@"processID"];
    return pid;
}

- (void)setProcessID:(NSInteger)newProcessID
{
    [self willChangeValueForKey:@"processID"];
    processID = newProcessID;
    [self didChangeValueForKey:@"processID"];
}


// Implement a setNilValueForKey: method. If the key is “processID” then set processID to 0.
//
- (void)setNilValueForKey:(NSString *)key {
    
    if ([key isEqualToString:@"processID"]) {
        self.processID = 0;
    }
    else {
        [super setNilValueForKey:key];
    }
}


@end
